Bug 657023 - [abrt] file-roller-2.32.0-2.fc14: Process /usr/bin/file-roller was killed by signal 11 (SIGSEGV)
Summary: [abrt] file-roller-2.32.0-2.fc14: Process /usr/bin/file-roller was killed by ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:82e2ce81d01f5f8964ecdac224c...
: 645589 665762 675384 690049 703619 704361 714022 723101 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 17:38 UTC by Santiago Lunar
Modified: 2012-08-16 19:19 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:19:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.56 KB, text/plain)
2010-11-24 17:38 UTC, Santiago Lunar
no flags Details

Description Santiago Lunar 2010-11-24 17:38:39 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: file-roller /home/srlunar/la_venta.tar
component: file-roller
crash_function: egg_tree_multi_drag_button_release_event
executable: /usr/bin/file-roller
kernel: 2.6.35.6-48.fc14.i686
package: file-roller-2.32.0-2.fc14
rating: 4
reason: Process /usr/bin/file-roller was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1290611715
uid: 500

How to reproduce
-----
1.Eliminar un archivo contenido en un .tar.gz
2.
3.

Comment 1 Santiago Lunar 2010-11-24 17:38:42 UTC
Created attachment 462712 [details]
File: backtrace

Comment 2 Jérôme Benoit 2010-12-01 22:45:51 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Navigate trough http://software.internet2.edu/sources/ndt/ndt-3.6.4.tar.gz
2.
3.

Comment 3 andrew_ward 2010-12-02 21:10:47 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Clicked on a folder in a zip file to open it
2. 
3.

Comment 4 Dan Scott 2010-12-06 22:26:57 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to peek into the 7-zip file that I downloaded via Chromium in file-roller; it prompted me to download the 7-zip archive tool
2. After installing the 7-zip archive tool via the yum-my GUI, file-roller showed me the subdirectory that the archive contained
3. Double-clicked on the subdirectory to view the 40,000 files / 4,000 directories that it apparently contains - crash


Comment
-----
Running "7za x content_archive.7z" works fine from the command line, so I'm guessing there's a limit to how many files file-roller can handle in a single archive.

Comment 5 csuwhm 2010-12-07 08:02:50 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.sorry!
2.I don't know!
3.

Comment 6 sazaney 2010-12-08 01:12:16 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
i try to open .7z

Comment 7 Roman 2010-12-10 00:16:36 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
.

Comment 8 Francisco Hauva 2010-12-14 02:42:56 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open password protected RAR file
2. Enter folder in RAR file
3.

Comment 9 Robert V. Miciovici 2011-01-06 12:59:18 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
just opened an zipped attachement from Lotus Notes

Comment 10 zonshy 2011-01-08 06:10:10 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Every day I do the yum update my system
2. I download the wine-qq from code.google.com 
3. Open the tar source code and go on the directory 
4. it's exit automatic (Express the tar code and totalling 47.9 MB )

Comment 11 Sergey Raspopov 2011-01-25 17:50:56 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. open arhive SugarCE-6.1.1.zim from https://www.sugarcrm.com/crm/

Comment 12 William Zhou 2011-01-28 10:22:36 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Open an archive file named usb-modeswitch-data-20101222.tar.bz2
2.Open the only folder in the archive file
3. It crashed once, yet I cannot repeat it

Comment 13 Rohit Sarpotdar 2011-01-28 14:50:46 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Download wxWidgets-docs-html-2.9.1.tar.bz2 file from wxwidgets.org site
2.Double click file.
3.Double click wxWidgets-2.9.1 folder and it crashed.


Comment
-----
This bug is not reproducible everytime. I had no other archive file open.

Comment 14 Ronald Canete 2011-02-03 09:24:55 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I click the file to open.
2.
3.

Comment 15 Alfredo Pons Menargues 2011-02-10 14:06:28 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I was opening a subdirectory of a tar.gz file.
2.
3.

Comment 16 Serhiy 2011-02-11 07:53:21 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Download http://caesar.acc.umu.se/pub/GNOME/sources/gtk+/3.0/gtk+-3.0.0.tar.bz2
2.Open file in Nautilus
3. Crash.

Comment 17 Seppo Enarvi 2011-02-16 14:55:05 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Download http://www.portaudio.com/archives/pa_snapshot.tgz
2. Double-click to open the file.

Comment 18 Jim Shipman 2011-02-24 23:20:44 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Clicked on a gzip file from nautilus
2.
3.

Comment 19 dobs 2011-02-25 22:41:24 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Try to open folder...

Comment 20 Johan Vervloet 2011-03-03 08:36:30 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened a tgz-archive with file roller
2. Double clicked on folder inside the archive



Comment
-----
I am not able to reproduce the problem.  The archive was on an external usb device, with ext3 file system.

Comment 21 Prashanth K S 2011-03-07 13:59:58 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened a zip file
2.
3.

Comment 22 William Zhou 2011-03-12 01:26:15 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Open an rar file
2.Double-click on a folder and it crashed
3.

Comment 23 Rohit Sarpotdar 2011-03-12 06:27:19 UTC
My observation is :

The compressed file (zip, gz etc.) has a folder with huge number of files and overall zip/gz is also big. Then, after opening the window, if I immediately click on the folder inside of zip/gz before it actually loads all files, it crashes.

Comment 24 ly9000 2011-03-14 08:02:39 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1..
2.
3.

Comment 25 ly9000 2011-03-14 09:58:27 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1..
2.
3.

Comment 26 Timur Kristóf 2011-03-15 14:12:17 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open a large archive file
2. Try to open folders inside it

Comment 27 Jérôme Benoit 2011-03-21 10:53:31 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Browsing a .zip file
2.
3.

Comment 28 eduardovra 2011-03-21 21:39:14 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. opened tar.gz file
2.
3.

Comment 29 Serhiy 2011-03-23 08:55:35 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Open file firefox-4.0.tar.bz2
2.Try to open root folder.
3. Crash!!!

Comment 30 dobs 2011-03-31 19:46:31 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open 7zip archive

Comment 31 John Kissane 2011-04-01 15:15:49 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Double clicked on a zip file
2.
3.

Comment 32 Mike Ma 2011-04-04 02:26:10 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. 打开一个压缩文件里面的目录
2.
3.


Comment
-----
(奇怪的是,我重新试了一下又好了)

Comment 33 Oscar Osta 2011-04-08 16:32:17 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open .tar.gz file on Desktop
2.
3.


Comment
-----
Open .tar.gz file on Desktop

Comment 34 Peter Green 2011-04-11 15:07:17 UTC
Package: file-roller-2.32.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Downloaded tar.gz file
2. Double-clicked in nautilus to open with file-roller
3. file-roller opened briefly, before crashing.


Comment
-----
Simply tried to open an archive.

Comment 35 abrt-bot 2012-03-20 17:38:48 UTC
*** Bug 675384 has been marked as a duplicate of this bug. ***

Comment 36 abrt-bot 2012-03-20 17:38:58 UTC
*** Bug 645589 has been marked as a duplicate of this bug. ***

Comment 37 abrt-bot 2012-03-20 17:39:10 UTC
*** Bug 703619 has been marked as a duplicate of this bug. ***

Comment 38 abrt-bot 2012-03-30 14:08:21 UTC
Backtrace analysis of bugs across components suggests the actual bug is in component gtk2 instead of component file-roller, reassigning to gtk2.

Bugs which were found to be similar to this bug: 
  claws-mail: bug #748384
  epiphany: bug #629771, bug #655585, bug #704361
  evolution: bug #600838, bug #617151, bug #620849, bug #634101, bug #641235
  file-roller: bug #526579, bug #538311, bug #539338, bug #542425, bug #546908, bug #554083, bug #561279, bug #586520, bug #586524, bug #592594, bug #598337, bug #609805, bug #622722, bug #628055, bug #629690, bug #645589, bug #650730, bug #673031, bug #675384, bug #677573, bug #680400, bug #703619
  grig: bug #611947
  kazehakase: bug #723101
  nautilus: bug #602601
  pcmanfm: bug #597392
  pidgin: bug #613962, bug #616789, bug #714022
  tangogps: bug #690049
  wireshark: bug #559152
  xournal: bug #665762

This comment is automatically generated.

Comment 39 abrt-bot 2012-03-30 14:08:35 UTC
*** Bug 723101 has been marked as a duplicate of this bug. ***

Comment 40 abrt-bot 2012-03-30 14:08:48 UTC
*** Bug 704361 has been marked as a duplicate of this bug. ***

Comment 41 abrt-bot 2012-03-30 14:09:05 UTC
*** Bug 714022 has been marked as a duplicate of this bug. ***

Comment 42 abrt-bot 2012-03-30 14:09:14 UTC
*** Bug 690049 has been marked as a duplicate of this bug. ***

Comment 43 abrt-bot 2012-03-30 14:09:22 UTC
*** Bug 665762 has been marked as a duplicate of this bug. ***

Comment 44 Richard Baxter 2012-06-09 09:26:33 UTC
The same error is thrown on Redhat Enterprise 6.2 (perhaps EL6.1 also)

file-roller-2.28.2-6.el6.x86_64.rpm

"/usr/bin/file-roller was killed by signal 11 (SIGSEGV)"

This bug occurs when opening a (large) zip file for the first time. When opening the zip file immediately afterwards the bug is not triggered.

This should be marked as medium-high priority.

Comment 45 Richard Baxter 2012-06-09 09:47:46 UTC
NB xulrunner 10.0.3 -> 10.0.5 may be throwing the same error.

"/usr/lib64/xulrunner-2/plugin-container was killed by signal 11 (SIGSEGV)"

These crashes seems to be occuring on EL6.2 only, and since approximately 10 April 2012. (gnome-applets/drivemount_applet2 might also be affected).

Comment 46 Richard Baxter 2012-08-07 05:25:35 UTC
Confirm crash still occuring on EL6.3 (same error message)

Comment 47 Fedora End Of Life 2012-08-16 19:19:22 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.